redland-bindings (1.0.17.1+dfsg-6build3) noble; urgency=high

  * No change rebuild against librdf0t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:53:08 +0100

redland-bindings (1.0.17.1+dfsg-6build2) noble; urgency=medium

  * No-change upload to remove support of ruby3.1.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 20 Feb 2024 02:02:55 -0300

redland-bindings (1.0.17.1+dfsg-6build1) noble; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jan 2024 14:13:04 +0100

redland-bindings (1.0.17.1+dfsg-6) unstable; urgency=medium

  * QA upload.
  * Drop the autopkg test (Python only).

 -- Matthias Klose <doko@debian.org>  Thu, 14 Dec 2023 09:34:03 +0100

redland-bindings (1.0.17.1+dfsg-5) unstable; urgency=medium

  * QA upload.
  * Stop building python3-librdf. Closes: #1055550, #1056518, #476717.
  * Bump standards version.
  * Consider to remove that package entirely ...

 -- Matthias Klose <doko@debian.org>  Wed, 13 Dec 2023 08:29:16 +0100

redland-bindings (1.0.17.1+dfsg-4) unstable; urgency=medium

  * QA Upload.
  * d/rules: Hard fail if tests fail for one of the python versions
  * Build pyext with the correct name for all supported pyvers
    (Closes: #1024301)
  * Add in proper autopkgtests for python bindings instead of just an
    import check. Also ensure that bindings are actually usable with
    all supported python versions.

 -- Nilesh Patra <nilesh@debian.org>  Fri, 18 Nov 2022 21:20:17 +0530

redland-bindings (1.0.17.1+dfsg-3) unstable; urgency=medium

  * QA upload.
  * Add missing build dependency on pkg-config. (Closes: #1021324)

 -- Niko Tyni <ntyni@debian.org>  Tue, 11 Oct 2022 22:28:32 +0300

redland-bindings (1.0.17.1+dfsg-2) unstable; urgency=medium

  * QA upload.
  [ Jann Haber ]
  * Drop python-librdf package and replace with python3-librdf.
    Closes: #780741, #938345

  [ Håvard F. Aasen ]
  * Set Debian QA as maintainer. See #1012730
  * Remove transitional package. Has been around since stretch.
  * Add 0004-Update-example-to-be-Python-3-compliant.patch
  * d/copyright:
    - Document which files excluded from source tarball.
    - Update file paragraph * -> debian/*.
    - Update to secure URI.
  * d/control:
    - Bump debhelper to 13.
    - Remove all version restrictions on build dependencies, no longer applies.
    - Document Rules-Requires-Root.
    - Update Standards-Version to 4.6.1
  * d/rules:
    - Test for supported Python 3 versions.
    - Remove unnecessary comments and reorder variables.
    - Enable build hardening.
    - Enable Python testsuite.
  * d/watch:
    - Bump version to 4.
    - Update to secure URI.
  * wrap-and-sort -at
  * Update all URIs to be secure.
  * Import correct Python module when running autopkgtest.
  * Add d/gbp.conf.

 -- Paul Gevers <elbrus@debian.org>  Mon, 01 Aug 2022 21:23:03 +0200

redland-bindings (1.0.17.1+dfsg-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * python-librdf: Don't hard-code python. Closes: #966787.

 -- Matthias Klose <doko@debian.org>  Sat, 08 Aug 2020 16:54:36 +0200

redland-bindings (1.0.17.1+dfsg-1.3) unstable; urgency=high

  * Non-maintainer upload.
  * Remove PHP bindings as swig doesn't support PHP 7.0 yet (Closes:
    #821548, #821712)
  * Upgrade Debian packagin to dh7 syntax
  * Rename librdf-ruby to ruby-librdf to adhere to the Ruby policy
  * Fix the ruby SO suffix
  * Add debhelper autoreconf and autotools-dev helpers

 -- Ondřej Surý <ondrej@debian.org>  Wed, 22 Jun 2016 12:52:17 +0200

redland-bindings (1.0.17.1+dfsg-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace explicit ruby2.1 dependency with just ruby.
    (Closes: #803489)

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 03 Nov 2015 19:07:50 +0000

redland-bindings (1.0.17.1+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "hardcodes /usr/lib/perl5":
    use $Config{vendorarch} in debian/rules
    (Closes: #752812)

 -- gregor herrmann <gregoa@debian.org>  Sat, 02 Aug 2014 19:06:45 +0200

redland-bindings (1.0.17.1+dfsg-1) unstable; urgency=medium

  * Acknowlege NMU - thanks Christian.
  * Repack to remove 2 JS files with minimized source (lintian source-is-missing)
  * New upstream release
  * Remove ruby 2.0 build fix patch merged upstream.
  * debian/rules: depend on ruby2.1 ruby2.1-dev since 2.0 is going away

 -- Dave Beckett <dajobe@debian.org>  Sun, 01 Jun 2014 17:48:09 -0700

redland-bindings (1.0.16.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build for Ruby 2.0. (Closes: #743993)

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 20 Apr 2014 15:54:31 +0200

redland-bindings (1.0.16.1-2) unstable; urgency=medium

  * Acknowlege NMU - thanks Christian.
  * Adjust php5-librdf install to use php5enmod / php5dismod in
    postinst / prerm to link ini file to the correct
    location (Closes: #739761, #667786)
  * debian/rules: fix clean rule for perl

 -- Dave Beckett <dajobe@debian.org>  Fri, 07 Mar 2014 21:34:38 -0800

redland-bindings (1.0.16.1-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Build Ruby bindings for Ruby 1.9, instead of 1.8.
    (Closes: #722364)

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 13 Feb 2014 00:21:40 +0100

redland-bindings (1.0.16.1-1) unstable; urgency=low

  * New upstream release
  * Add dpkg-buildflags to configure for hardening

 -- Dave Beckett <dajobe@debian.org>  Tue, 22 Jan 2013 16:03:44 -0800

redland-bindings (1.0.14.1-1) unstable; urgency=low

  * New upstream release (Closes: #653250)
  * debian/control
    - Require swig 2.0+
    - Standards-Version 3.9.3
  * debian/rules
    - do not copy in config.sub/guess (Closes: #643275)
    - add build-arch-build-idnep (lintian)

 -- Dave Beckett <dajobe@debian.org>  Sat, 10 Mar 2012 18:08:07 -0800

redland-bindings (1.0.13.1-2) unstable; urgency=low

  * Update for python central changes (Closes; #617051)
  * librdf 1.0.12 fixed the contexts warning (Closes: #610684)

 -- Dave Beckett <dajobe@debian.org>  Wed, 18 May 2011 14:49:15 -0700

redland-bindings (1.0.13.1-1) unstable; urgency=low

  * New upstream release (Closes: #614983, #598392, #614672, #613496,
    #613659, #613893)
  * debian/rules: Use new --with-perl-makemaker-args to set install dest
    rather than undocumented MAKE_PL_OPTS var

 -- Dave Beckett <dajobe@debian.org>  Fri, 25 Feb 2011 12:53:33 -0800

redland-bindings (1.0.11.1-1) experimental; urgency=low

  * New upstream release
  * Source format 3.0 (quilt)
  * debian/control, debian/rules: remove dpatch

 -- Dave Beckett <dajobe@debian.org>  Mon, 27 Sep 2010 08:03:17 -0700

redland-bindings (1.0.10.1-3) unstable; urgency=low

  * debian/control:
    - Standards-Version: 3.9.1
  * debian/patches/01-python-example-exception.patch: Added from upstream
    GIT 72c03eeb3267be06774771be6043cc034d12a827 (Closes: #585299)
  * debian/patches/02-python-unicode-exception.patch: Added from upstream
    GIT commmits 1c5088ed79c7f1c32da2582cfb26a9a5a3010776
    713a4cbc4728c25f6d2398db4a3a4f70827e7765 and
    aaabb24978c9f95d3510a16cac879344ed0452ec to remove crash and
    python exception failure on creating URIs from unicode strings.
    Seen as an error like 'SystemError: error return without exception set'
    in Redland_python.unicode_to_bytes.

 -- Dave Beckett <dajobe@debian.org>  Thu, 05 Aug 2010 23:27:00 -0700

redland-bindings (1.0.10.1-2) unstable; urgency=low

  * debian/control:
    - Standards-Version: 3.8.4
    - Added ${misc:Depends} (lintian)
  * debian/redland.ini: Remove comment (Closes: #571650)

 -- Dave Beckett <dajobe@debian.org>  Tue, 02 Mar 2010 19:51:00 -0800

redland-bindings (1.0.10.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add missing dependency on phpapi-* (Closes: #566292)
  * Add php5-cli as an alternative to the php5 dependency.

 -- Raphael Geissert <geissert@debian.org>  Fri, 29 Jan 2010 21:15:32 -0600

redland-bindings (1.0.10.1-1) unstable; urgency=low

  * New upstream release
  * Require redland 1.0.10
  * debian/control, debian/rules: remove & disable dpatch - no patches now

 -- Dave Beckett <dajobe@debian.org>  Fri, 18 Dec 2009 09:59:05 -0800

redland-bindings (1.0.9.1-1) unstable; urgency=low

  * Added debian/patches/001-php-link.patch to properly link the PHP5
    binding (closes: #525010)
  * Added debian/patches/002-python-example.dpatch to patch python example
    data file path.
  * Standards Version 3.8.3
  * debian/control:
    - Removed Vcs-Browser and Vcs-Svn since they do not point to the
      version control area for the packaging, but for upstream.
    - Build depend on dpatch for patch above
  * New upstream release

 -- Dave Beckett <dajobe@debian.org>  Sun, 13 Sep 2009 21:36:00 -0700

redland-bindings (1.0.8.1-2) unstable; urgency=low

  * Use new sections ruby, php for librdf-ruby and php5-librdf respectively.
  * Merge features from ubuntu packaging.  Thanks to Matthias Klose
    (not taking linker -Wl,--as-needed since that makes dyloading fail
    to pull in raptor symbols):
    debian/rules:
    - get python lib dir from distutils
    - make dh_pycentral use symlinks
    debian/python-librdf.examples:
    - add data/dc.rdf to examples dir and adjust example.py
      to point to it (Closes: #402612)
  * Patch python/Makefile.in so it can allow the include dir to be
    overridden by the particular python version build in debian/rules
    using PYTHON_INCLUDES

 -- Dave Beckett <dajobe@debian.org>  Tue, 07 Apr 2009 00:24:21 -0700

redland-bindings (1.0.8.1-1) unstable; urgency=low

  * New upstream release
  * Standards Version 3.8.1

 -- Dave Beckett <dajobe@debian.org>  Wed, 01 Apr 2009 12:25:15 -0700

redland-bindings (1.0.7.1-1) unstable; urgency=low

  * New upstream release
  * Add /etc/php5/conf.d/redland.ini file to php5-librdf

 -- Dave Beckett <dajobe@debian.org>  Thu, 27 Dec 2007 22:22:07 -0800

redland-bindings (1.0.6.1-2) unstable; urgency=low

  * Fix description mentioning php4 (Closes: #423661)
  * php4-cli was gone in experimental (Closes: #424840, #432418)

 -- Dave Beckett <dajobe@debian.org>  Wed, 11 Jul 2007 22:02:34 -0700

redland-bindings (1.0.6.1-1) experimental; urgency=low

  * New upstream release
  * Death to PHP4, long live PHP5

 -- Dave Beckett <dajobe@debian.org>  Sun, 06 May 2007 00:30:25 -0700

redland-bindings (1.0.5.1-1) experimental; urgency=low

  * New upstream release

 -- Dave Beckett <dajobe@debian.org>  Sun, 19 Nov 2006 15:25:19 -0800

redland-bindings (1.0.4.1-3) unstable; urgency=low

  * Move dh_installdeb after dh_pycentral so the postinst and prerm
    scripts get installed for python-librdf (Closes: #397703)
  * Note since that right now the only supported python version is now
    2.4, this upload removes python 2.3 support.

 -- Dave Beckett <dajobe@debian.org>  Thu, 16 Nov 2006 20:57:00 -0800

redland-bindings (1.0.4.1-2) unstable; urgency=low

  * Standards version 3.7.2 (no changes)
  * Update to use the new python policy (Closes: #380929)
    + debian/rules: build using pycentral
    + debian/control: python-librdf conflicts/replaces the old policy
      binary packages named python2.3-librdf and python2.4-librdf
  * debian/copyright: 2006

 -- Dave Beckett <dajobe@debian.org>  Sat, 12 Aug 2006 11:17:32 -0700

redland-bindings (1.0.4.1-1) unstable; urgency=low

  * New upstream release

 -- Dave Beckett <dajobe@debian.org>  Fri,  5 May 2006 08:01:45 -0700

redland-bindings (1.0.3.1-2) unstable; urgency=low

  * Added php4-librdf package (Closes: #344931)

 -- Dave Beckett <dajobe@debian.org>  Mon,  3 Apr 2006 22:19:29 -0700

redland-bindings (1.0.3.1-1) unstable; urgency=low

  * New upstream release
  * Require librdf0 1.0.3-5 to get postgresql dependency fix
    (and libmysqlclient15 to libmysqlclient15off transition)
  * Remove librdf-ruby requiring liblog4r-ruby1.8
  * Add --with-redland=system to enable compiling against newer
    redland (Closes: #358458)
  * Build-Depend on swig to run against updated Redland.i if needed
  * Use debhelper 5

 -- Dave Beckett <dajobe@debian.org>  Wed, 22 Mar 2006 23:48:31 -0800

redland-bindings (1.0.2.1-3) unstable; urgency=low

  * Rebuild again against librdf0 1.0.2-2 to link against
    libmysqlclient14 for real this time (Closes: #342275)

 -- Dave Beckett <dajobe@debian.org>  Tue,  6 Dec 2005 11:40:07 -0800

redland-bindings (1.0.2.1-2) unstable; urgency=low

  * Remove librdf-python2.2 and add librdf-python2.4:
    python 2.3 is the default version in Debian.
  * Build against redland 1.0.2-2 to ensure builds with mysql 4.1

 -- Dave Beckett <dajobe@debian.org>  Sun, 14 Aug 2005 18:12:12 +0100

redland-bindings (1.0.2.1-1) unstable; urgency=low

  * New upstream release
  * Require redland 1.0.2

 -- Dave Beckett <dajobe@debian.org>  Fri, 10 Jun 2005 16:08:30 +0100

redland-bindings (1.0.1.1-1) unstable; urgency=low

  * New upstream release
  * Require redland 1.0.1

 -- Dave Beckett <dajobe@debian.org>  Wed,  1 Jun 2005 21:30:50 +0100

redland-bindings (1.0.0.2-1) unstable; urgency=low

  * New upstream release

 -- Dave Beckett <dajobe@debian.org>  Sun, 27 Feb 2005 19:43:53 +0000

redland-bindings (1.0.0.1-1) unstable; urgency=low

  * New upstream release

 -- Dave Beckett <dajobe@debian.org>  Sat, 12 Feb 2005 10:23:10 +0000

redland-bindings (0.9.19.1-2) unstable; urgency=low

  * Rebuild against librdf0-dev 0.9.19-3

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Sun, 23 Jan 2005 00:43:29 +0000

redland-bindings (0.9.19.1-1) unstable; urgency=low

  * New upstream release
  * License changed to LGPL/Apache 2
  * Remove touch of files dependent on Redland.i
  * Removed dependency on swig, no longer needed to be run
  * Install ruby .rb files
  * Segfault in python API fixed as recorded by bug reporter (Closes: #282208)

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Thu, 30 Dec 2004 20:58:02 +0000

redland-bindings (0.9.18.1-1) unstable; urgency=low

  * New upstream release, split from redland package.

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Tue, 17 Aug 2004 20:26:55 +0100
redland-bindings (1.0.2.1-2) unstable; urgency=low

  * Remove librdf-python2.2 and add librdf-python2.4:
    python 2.3 is the default version in Debian.
  * Build against redland 1.0.2-2 to ensure builds with mysql 4.1

 -- Dave Beckett <dajobe@debian.org>  Sun, 14 Aug 2005 18:12:12 +0100

redland-bindings (1.0.2.1-1) unstable; urgency=low

  * New upstream release
  * Require redland 1.0.2

 -- Dave Beckett <dajobe@debian.org>  Fri, 10 Jun 2005 16:08:30 +0100

redland-bindings (1.0.1.1-1) unstable; urgency=low

  * New upstream release
  * Require redland 1.0.1

 -- Dave Beckett <dajobe@debian.org>  Wed,  1 Jun 2005 21:30:50 +0100

redland-bindings (1.0.0.2-1) unstable; urgency=low

  * New upstream release

 -- Dave Beckett <dajobe@debian.org>  Sun, 27 Feb 2005 19:43:53 +0000

redland-bindings (1.0.0.1-1) unstable; urgency=low

  * New upstream release

 -- Dave Beckett <dajobe@debian.org>  Sat, 12 Feb 2005 10:23:10 +0000

redland-bindings (0.9.19.1-2) unstable; urgency=low

  * Rebuild against librdf0-dev 0.9.19-3

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Sun, 23 Jan 2005 00:43:29 +0000

redland-bindings (0.9.19.1-1) unstable; urgency=low

  * New upstream release
  * License changed to LGPL/Apache 2
  * Remove touch of files dependent on Redland.i
  * Removed dependency on swig, no longer needed to be run
  * Install ruby .rb files
  * Segfault in python API fixed as recorded by bug reporter (Closes: #282208)

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Thu, 30 Dec 2004 20:58:02 +0000

redland-bindings (0.9.18.1-1) unstable; urgency=low

  * New upstream release, split from redland package.

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Tue, 17 Aug 2004 20:26:55 +0100
